RAWTORLE(1)

NAME
rawtorle - Convert raw image data to RLE.

SYNOPSIS
rawtorle [ -N ] [ -s ] [ -r ] [ -w width ] [ -h height ] [ -f header-size ] [ -t trailer-size ] [ -n nchannels ] [ -a [ alpha-value ] ] [ -p scanline-pad ] [ -l left-scanline-pad ] [ -o outfile ] [ infile ]

DESCRIPTION
This program is used to convert image data in any of a number of "raw" forms to the RLE(5) format. The expected input size is computed from the arguments, so that several images may be concatenated together and will be processed in sequence. In this case, the output file will contain several RLE images.

OPTIONS

-N  The input is in non-interleaved order, as might be generated by the command
    cat pic.r pic.g pic.b

-s  The input is in scanline interleaved order.

-r  Reverse the channel order. (E.g., data will be interpreted as ABGR instead of RGBA.)

-w width
    Specify the width of the input image.

-h height
    Specify the height of the input image.

-f header-size
    This many bytes will be skipped before starting to read image data.

-t trailer-size
    This many bytes will be skipped at the end of the image data.

-n nchannels
    The input data has this many color channels.

-a [alpha-value]
    Generate a constant alpha channel. The default value for alpha-value is 255.

-p scanline-pad
    This many bytes will be skipped at the end of each scanline.

-l left-scanline-pad
    This many bytes will be skipped at the beginning of each scanline.

-o outfile
    If specified, output will be written to this file, otherwise it will go to stdout.

infile
    The input will be read from this file, otherwise, input will be taken from stdin.

The input data is assumed to have an alpha channel if there are 2 or 4 channels. The alpha channel is the last input channel unless -r is specified, in which case it is the first.

EXAMPLES

512x512 grayscale
    rawtorle -w 512 -h 512 -n 1

640x512 raw RGB
    rawtorle -w 640 -h 512 -n 3

picture.[rgb]
    cat picture.[rgb] | rawtorle -w 640 -h 512 -n 3 -N -r
    (I.e., separate red, green, blue image files. This subsumes graytorle(1).)

JPL ODL Voyager pics
    rawtorle -w 800 -h 800 -f 2508 -t 1672 -n 1 -p 36

24bit Sun raster file
    rawtorle -f 32 -w ... -h ... -n 3
    (But rastorle(1) is easier.)

pic.{000-100}.[rgb]
    cat pic.* | rawtorle -w ... -h ... -n 3 -s -r
    (I.e., each color of each scanline is in a separate file.)

SEE ALSO
graytorle(1), rastorle(1), urt(1), RLE(5).

AUTHOR
Martin Friedmann